﻿package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	"xorm.io/xorm"
)

func NewUserEggScoreDataDb(engine *xorm.Engine) dao.UserEggScoreDataDao {
	return &UserEggScoreDataDb{Db: engine}
}

type UserEggScoreDataDb struct {
	Db *xorm.Engine
}

func (u UserEggScoreDataDb) UserEggScoreDataInsert(m *model.UserEggScoreData) (int64, error) {
	_, err := u.Db.InsertOne(m)
	if err != nil {
		return 0, err
	}
	return m.Id, nil
}
