package model

import (
	"time"
)

type AdminLog struct {
	Id      int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Type    string    `json:"type" xorm:"VARCHAR(255)"`
	AdminId int       `json:"admin_id" xorm:"default 0 INT(11)"`
	Memo    string    `json:"memo" xorm:"VARCHAR(2000)"`
	Time    time.Time `json:"time" xorm:"DATETIME"`
	Ip      string    `json:"ip" xorm:"VARCHAR(255)"`
	Data    string    `json:"data" xorm:"TEXT"`
}
