package model

import (
	"time"
)

type UserFeedback struct {
	Id       int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid      int       `json:"uid" xorm:"default 0 INT(11)"`
	Type     string    `json:"type" xorm:"default '' comment('问题类型') VARCHAR(255)"`
	Extra    string    `json:"extra" xorm:"comment('api请求头内容') TEXT"`
	Content  string    `json:"content" xorm:"comment('问题内容') VARCHAR(5000)"`
	Img      string    `json:"img" xorm:"comment('图片 [""]') VARCHAR(5000)"`
	Idea     string    `json:"idea" xorm:"comment('建议') VARCHAR(5000)"`
	Phone    string    `json:"phone" xorm:"VARCHAR(255)"`
	State    int       `json:"state" xorm:"default 0 comment('0待解决 1处理中 2已解决') INT(1)"`
	Cid      int       `json:"cid" xorm:"default 0 INT(11)"`
	Ip       string    `json:"ip" xorm:"VARCHAR(255)"`
	CreateAt time.Time `json:"create_at" xorm:"DATETIME"`
	Title    string    `json:"title" xorm:"VARCHAR(255)"`
}
