package model

import (
	"time"
)

type AdvertisingCallback struct {
	Id            int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Platform      string    `json:"platform" xorm:"unique(platform) VARCHAR(255)"`
	Oid           string    `json:"oid" xorm:"unique(platform) VARCHAR(255)"`
	Uid           int       `json:"uid" xorm:"default 0 INT(11)"`
	SpaceId       string    `json:"space_id" xorm:"VARCHAR(255)"`
	Amount        string    `json:"amount" xorm:"VARCHAR(255)"`
	IsRun         int       `json:"is_run" xorm:"default 0 INT(1)"`
	CreateAt      time.Time `json:"create_at" xorm:"DATETIME"`
	UniqId        string    `json:"uniq_id" xorm:"VARCHAR(255)"`
	Integral      string    `json:"integral" xorm:"default 0.00000000 comment('积分') DECIMAL(30,8)"`
	Type          string    `json:"type" xorm:"VARCHAR(255)"`
	AdvId         int       `json:"adv_id" xorm:"default 0 INT(11)"`
	PhonePlatform string    `json:"phone_platform" xorm:"VARCHAR(255)"`
}
