package model

type UserCertificate struct {
	Id        int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid       int    `json:"uid" xorm:"default 0 INT(11)"`
	Name      string `json:"name" xorm:"comment('名称') VARCHAR(255)"`
	StartTime string `json:"start_time" xorm:"comment('有效开始时间') VARCHAR(255)"`
	EndTime   string `json:"end_time" xorm:"comment('有效结束时间') VARCHAR(255)"`
	No        string `json:"no" xorm:"comment('编号') VARCHAR(255)"`
}
